_MP3_SCI_Write:
;MP3_driver.c,69 :: 		void MP3_SCI_Write(char address, unsigned int data_in) {
; address start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
UXTB	R4, R0
STRH	R1, [SP, #4]
; address end address is: 0 (R0)
; address start address is: 16 (R4)
;MP3_driver.c,70 :: 		BSYNC = 1;
MOVS	R3, #1
SXTB	R3, R3
MOVW	R2, #lo_addr(BSYNC+0)
MOVT	R2, #hi_addr(BSYNC+0)
STR	R3, [R2, #0]
;MP3_driver.c,72 :: 		MP3_CS = 0;                    // select MP3 SCI
MOVS	R3, #0
SXTB	R3, R3
MOVW	R2, #lo_addr(MP3_CS+0)
MOVT	R2, #hi_addr(MP3_CS+0)
STR	R3, [R2, #0]
;MP3_driver.c,73 :: 		SPI1_Write(WRITE_CODE);
MOVS	R0, #2
BL	_SPI1_Write+0
;MP3_driver.c,74 :: 		SPI1_Write(address);
UXTB	R0, R4
; address end address is: 16 (R4)
BL	_SPI1_Write+0
;MP3_driver.c,75 :: 		SPI1_Write(Hi(data_in));        // high byte
ADD	R2, SP, #4
ADDS	R2, R2, #1
LDRB	R2, [R2, #0]
UXTH	R0, R2
BL	_SPI1_Write+0
;MP3_driver.c,76 :: 		SPI1_Write(Lo(data_in));        // low byte
ADD	R2, SP, #4
LDRB	R2, [R2, #0]
UXTH	R0, R2
BL	_SPI1_Write+0
;MP3_driver.c,77 :: 		MP3_CS = 1;                    // deselect MP3 SCI
MOVS	R3, #1
SXTB	R3, R3
MOVW	R2, #lo_addr(MP3_CS+0)
MOVT	R2, #hi_addr(MP3_CS+0)
STR	R3, [R2, #0]
;MP3_driver.c,79 :: 		while (DREQ == 0);             // wait until DREQ becomes 1, see MP3 codec datasheet, Serial Protocol for SCI
L_MP3_SCI_Write0:
MOVW	R3, #lo_addr(DREQ+0)
MOVT	R3, #hi_addr(DREQ+0)
LDR	R2, [R3, #0]
CMP	R2, #0
IT	NE
BNE	L_MP3_SCI_Write1
IT	AL
BAL	L_MP3_SCI_Write0
L_MP3_SCI_Write1:
;MP3_driver.c,80 :: 		}
L_end_MP3_SCI_Write:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _MP3_SCI_Write
_MP3_SCI_Read:
;MP3_driver.c,89 :: 		void MP3_SCI_Read(char start_address, char words_count, unsigned int *data_buffer) {
; start_address start address is: 0 (R0)
SUB	SP, SP, #16
STR	LR, [SP, #0]
UXTB	R5, R0
STRB	R1, [SP, #8]
STR	R2, [SP, #12]
; start_address end address is: 0 (R0)
; start_address start address is: 20 (R5)
;MP3_driver.c,92 :: 		MP3_CS = 0;                    // select MP3 SCI
MOVS	R4, #0
SXTB	R4, R4
MOVW	R3, #lo_addr(MP3_CS+0)
MOVT	R3, #hi_addr(MP3_CS+0)
STR	R4, [R3, #0]
;MP3_driver.c,93 :: 		SPI1_Write(READ_CODE);
MOVS	R0, #3
BL	_SPI1_Write+0
;MP3_driver.c,94 :: 		SPI1_Write(start_address);
UXTB	R0, R5
; start_address end address is: 20 (R5)
BL	_SPI1_Write+0
;MP3_driver.c,96 :: 		while (words_count--) {        // read words_count words byte per byte
L_MP3_SCI_Read2:
LDRB	R4, [SP, #8]
LDRB	R3, [SP, #8]
SUBS	R3, R3, #1
STRB	R3, [SP, #8]
CMP	R4, #0
IT	EQ
BEQ	L_MP3_SCI_Read3
;MP3_driver.c,97 :: 		temp = SPI_Read(0);
MOVS	R0, #0
BL	_SPI_Read+0
;MP3_driver.c,98 :: 		temp <<= 8;
LSLS	R3, R0, #8
STRH	R3, [SP, #4]
;MP3_driver.c,99 :: 		temp += SPI_Read(0);
MOVS	R0, #0
BL	_SPI_Read+0
LDRH	R3, [SP, #4]
ADDS	R4, R3, R0
;MP3_driver.c,100 :: 		*(data_buffer++) = temp;
LDR	R3, [SP, #12]
STRH	R4, [R3, #0]
LDR	R3, [SP, #12]
ADDS	R3, R3, #2
STR	R3, [SP, #12]
;MP3_driver.c,101 :: 		}
IT	AL
BAL	L_MP3_SCI_Read2
L_MP3_SCI_Read3:
;MP3_driver.c,103 :: 		MP3_CS = 1;                    // deselect MP3 SCI
MOVS	R4, #1
SXTB	R4, R4
MOVW	R3, #lo_addr(MP3_CS+0)
MOVT	R3, #hi_addr(MP3_CS+0)
STR	R4, [R3, #0]
;MP3_driver.c,105 :: 		while (DREQ == 0);             // wait until DREQ becomes 1, see MP3 codec datasheet, Serial Protocol for SCI
L_MP3_SCI_Read4:
MOVW	R4, #lo_addr(DREQ+0)
MOVT	R4, #hi_addr(DREQ+0)
LDR	R3, [R4, #0]
CMP	R3, #0
IT	NE
BNE	L_MP3_SCI_Read5
IT	AL
BAL	L_MP3_SCI_Read4
L_MP3_SCI_Read5:
;MP3_driver.c,106 :: 		}
L_end_MP3_SCI_Read:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of _MP3_SCI_Read
_MP3_SDI_Write:
;MP3_driver.c,115 :: 		void MP3_SDI_Write(char data_) {
; data_ start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; data_ end address is: 0 (R0)
; data_ start address is: 0 (R0)
;MP3_driver.c,119 :: 		MP3_CS = 1;
MOVS	R2, #1
SXTB	R2, R2
MOVW	R1, #lo_addr(MP3_CS+0)
MOVT	R1, #hi_addr(MP3_CS+0)
STR	R2, [R1, #0]
;MP3_driver.c,122 :: 		BSYNC = 0;
MOVS	R2, #0
SXTB	R2, R2
MOVW	R1, #lo_addr(BSYNC+0)
MOVT	R1, #hi_addr(BSYNC+0)
STR	R2, [R1, #0]
;MP3_driver.c,123 :: 		UART1_Write(data_);
; data_ end address is: 0 (R0)
BL	_UART1_Write+0
;MP3_driver.c,126 :: 		BSYNC = 1;
MOVS	R2, #1
SXTB	R2, R2
MOVW	R1, #lo_addr(BSYNC+0)
MOVT	R1, #hi_addr(BSYNC+0)
STR	R2, [R1, #0]
;MP3_driver.c,128 :: 		}
L_end_MP3_SDI_Write:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _MP3_SDI_Write
_MP3_Reset_Time:
;MP3_driver.c,137 :: 		void MP3_Reset_Time(){
SUB	SP, SP, #4
STR	LR, [SP, #0]
;MP3_driver.c,138 :: 		MP3_SCI_Write(SCI_DECODE_TIME_ADDR, 0);
MOVS	R1, #0
MOVS	R0, #4
BL	_MP3_SCI_Write+0
;MP3_driver.c,139 :: 		}
L_end_MP3_Reset_Time:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _MP3_Reset_Time
_MP3_Get_Decode_Time:
;MP3_driver.c,148 :: 		void MP3_Get_Decode_Time(unsigned int *time){
; time start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; time end address is: 0 (R0)
; time start address is: 0 (R0)
;MP3_driver.c,149 :: 		MP3_SCI_Read(SCI_DECODE_TIME_ADDR, 1, time);
MOV	R2, R0
; time end address is: 0 (R0)
MOVS	R1, #1
MOVS	R0, #4
BL	_MP3_SCI_Read+0
;MP3_driver.c,150 :: 		}
L_end_MP3_Get_Decode_Time:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _MP3_Get_Decode_Time
_MP3_SDI_Write_32:
;MP3_driver.c,159 :: 		void MP3_SDI_Write_32(char *data_) {
; data_ start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; data_ end address is: 0 (R0)
; data_ start address is: 0 (R0)
;MP3_driver.c,162 :: 		Mmc_Chip_Select = 1;
MOVS	R2, #1
SXTB	R2, R2
MOVW	R1, #lo_addr(Mmc_Chip_Select+0)
MOVT	R1, #hi_addr(Mmc_Chip_Select+0)
STR	R2, [R1, #0]
;MP3_driver.c,163 :: 		MP3_CS = 1;
MOVW	R1, #lo_addr(MP3_CS+0)
MOVT	R1, #hi_addr(MP3_CS+0)
STR	R2, [R1, #0]
; data_ end address is: 0 (R0)
;MP3_driver.c,166 :: 		while (DREQ == 0);             // wait until DREQ becomes 1, see MP3 codec datasheet, Serial Protocol for SCI
L_MP3_SDI_Write_326:
; data_ start address is: 0 (R0)
MOVW	R2, #lo_addr(DREQ+0)
MOVT	R2, #hi_addr(DREQ+0)
LDR	R1, [R2, #0]
CMP	R1, #0
IT	NE
BNE	L_MP3_SDI_Write_327
IT	AL
BAL	L_MP3_SDI_Write_326
L_MP3_SDI_Write_327:
;MP3_driver.c,167 :: 		BSYNC = 0;
MOVS	R2, #0
SXTB	R2, R2
MOVW	R1, #lo_addr(BSYNC+0)
MOVT	R1, #hi_addr(BSYNC+0)
STR	R2, [R1, #0]
;MP3_driver.c,168 :: 		for(i = 0; i < 32; i++)
; i start address is: 20 (R5)
MOVS	R5, #0
; data_ end address is: 0 (R0)
; i end address is: 20 (R5)
MOV	R4, R0
L_MP3_SDI_Write_328:
; i start address is: 20 (R5)
; data_ start address is: 16 (R4)
; data_ start address is: 16 (R4)
; data_ end address is: 16 (R4)
CMP	R5, #32
IT	CS
BCS	L_MP3_SDI_Write_329
; data_ end address is: 16 (R4)
;MP3_driver.c,170 :: 		SPI1_Write(data_[i]);
; data_ start address is: 16 (R4)
ADDS	R1, R4, R5
LDRB	R1, [R1, #0]
UXTH	R0, R1
BL	_SPI1_Write+0
;MP3_driver.c,168 :: 		for(i = 0; i < 32; i++)
ADDS	R5, R5, #1
UXTB	R5, R5
;MP3_driver.c,170 :: 		SPI1_Write(data_[i]);
; data_ end address is: 16 (R4)
; i end address is: 20 (R5)
IT	AL
BAL	L_MP3_SDI_Write_328
L_MP3_SDI_Write_329:
;MP3_driver.c,172 :: 		BSYNC = 1;
MOVS	R2, #1
SXTB	R2, R2
MOVW	R1, #lo_addr(BSYNC+0)
MOVT	R1, #hi_addr(BSYNC+0)
STR	R2, [R1, #0]
;MP3_driver.c,173 :: 		}
L_end_MP3_SDI_Write_32:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _MP3_SDI_Write_32
_MP3_Set_Volume:
;MP3_driver.c,182 :: 		void MP3_Set_Volume(char left, char right) {
; right start address is: 4 (R1)
; left start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; right end address is: 4 (R1)
; left end address is: 0 (R0)
; left start address is: 0 (R0)
; right start address is: 4 (R1)
;MP3_driver.c,185 :: 		volume = (left << 8) + right;             // calculate value
LSLS	R2, R0, #8
UXTH	R2, R2
; left end address is: 0 (R0)
ADDS	R2, R2, R1
; right end address is: 4 (R1)
;MP3_driver.c,186 :: 		MP3_SCI_Write(SCI_VOL_ADDR, volume);    // Write value to VOL register
UXTH	R1, R2
MOVS	R0, #11
BL	_MP3_SCI_Write+0
;MP3_driver.c,187 :: 		}
L_end_MP3_Set_Volume:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _MP3_Set_Volume
_MP3_Set_default_Mode:
;MP3_driver.c,189 :: 		void MP3_Set_default_Mode(){
SUB	SP, SP, #4
STR	LR, [SP, #0]
;MP3_driver.c,190 :: 		BSYNC = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(BSYNC+0)
MOVT	R0, #hi_addr(BSYNC+0)
STR	R1, [R0, #0]
;MP3_driver.c,191 :: 		MP3_CS = 1;
MOVW	R0, #lo_addr(MP3_CS+0)
MOVT	R0, #hi_addr(MP3_CS+0)
STR	R1, [R0, #0]
;MP3_driver.c,194 :: 		MP3_RST = 0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(MP3_RST+0)
MOVT	R0, #hi_addr(MP3_RST+0)
STR	R1, [R0, #0]
;MP3_driver.c,195 :: 		Delay_ms(20);
MOVW	R7, #43391
MOVT	R7, #3
NOP
NOP
L_MP3_Set_default_Mode11:
SUBS	R7, R7, #1
BNE	L_MP3_Set_default_Mode11
NOP
NOP
NOP
;MP3_driver.c,196 :: 		MP3_RST = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(MP3_RST+0)
MOVT	R0, #hi_addr(MP3_RST+0)
STR	R1, [R0, #0]
;MP3_driver.c,198 :: 		while (DREQ == 0);
L_MP3_Set_default_Mode13:
MOVW	R1, #lo_addr(DREQ+0)
MOVT	R1, #hi_addr(DREQ+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	NE
BNE	L_MP3_Set_default_Mode14
IT	AL
BAL	L_MP3_Set_default_Mode13
L_MP3_Set_default_Mode14:
;MP3_driver.c,200 :: 		MP3_SCI_Write(SCI_MODE_ADDR, 0x000);
MOVS	R1, #0
MOVS	R0, #0
BL	_MP3_SCI_Write+0
;MP3_driver.c,201 :: 		MP3_SCI_Write(SCI_BASS_ADDR, 0x7A00);
MOVW	R1, #31232
MOVS	R0, #2
BL	_MP3_SCI_Write+0
;MP3_driver.c,202 :: 		MP3_SCI_Write(SCI_CLOCKF_ADDR, 0xC000);   // default 12 288 000 Hz, PLL enable
MOVW	R1, #49152
MOVS	R0, #3
BL	_MP3_SCI_Write+0
;MP3_driver.c,203 :: 		MP3_SCI_Write(SCI_VOL_ADDR,0x0000);
MOVS	R1, #0
MOVS	R0, #11
BL	_MP3_SCI_Write+0
;MP3_driver.c,205 :: 		}
L_end_MP3_Set_default_Mode:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _MP3_Set_default_Mode
_VsSineTest:
;MP3_driver.c,213 :: 		void VsSineTest(void)
SUB	SP, SP, #12
STR	LR, [SP, #0]
;MP3_driver.c,217 :: 		UART_Write_Text("VS Sine Test Begin!\n");
MOVW	R0, #lo_addr(?lstr1_MP3_driver+0)
MOVT	R0, #hi_addr(?lstr1_MP3_driver+0)
BL	_UART_Write_Text+0
;MP3_driver.c,219 :: 		MP3_RST = 0;  //xReset = 0   ??vs1053
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(MP3_RST+0)
MOVT	R0, #hi_addr(MP3_RST+0)
STR	R0, [SP, #8]
STR	R1, [R0, #0]
;MP3_driver.c,221 :: 		Delay_ms(100);//wait(100);        //??100ms
MOVW	R7, #20351
MOVT	R7, #18
NOP
NOP
L_VsSineTest15:
SUBS	R7, R7, #1
BNE	L_VsSineTest15
NOP
NOP
NOP
;MP3_driver.c,222 :: 		SPI1_Write(0xFF);
MOVS	R0, #255
BL	_SPI1_Write+0
;MP3_driver.c,224 :: 		MP3_CS = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(MP3_CS+0)
MOVT	R0, #hi_addr(MP3_CS+0)
STR	R0, [SP, #4]
STR	R1, [R0, #0]
;MP3_driver.c,225 :: 		BSYNC = 1;
MOVW	R0, #lo_addr(BSYNC+0)
MOVT	R0, #hi_addr(BSYNC+0)
STR	R1, [R0, #0]
;MP3_driver.c,227 :: 		MP3_RST = 1; //release from reset
LDR	R0, [SP, #8]
STR	R1, [R0, #0]
;MP3_driver.c,231 :: 		Delay_ms(500);
MOVW	R7, #36223
MOVT	R7, #91
NOP
NOP
L_VsSineTest17:
SUBS	R7, R7, #1
BNE	L_VsSineTest17
NOP
NOP
NOP
;MP3_driver.c,232 :: 		UART_Write_Text("SET VOLUME BEGIN Line226!\n");
MOVW	R0, #lo_addr(?lstr2_MP3_driver+0)
MOVT	R0, #hi_addr(?lstr2_MP3_driver+0)
BL	_UART_Write_Text+0
;MP3_driver.c,233 :: 		MP3_Set_Volume(0,0);
MOVS	R1, #0
MOVS	R0, #0
BL	_MP3_Set_Volume+0
;MP3_driver.c,234 :: 		LED = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(LED+0)
MOVT	R0, #hi_addr(LED+0)
STR	R1, [R0, #0]
;MP3_driver.c,235 :: 		Delay_ms(100);
MOVW	R7, #20351
MOVT	R7, #18
NOP
NOP
L_VsSineTest19:
SUBS	R7, R7, #1
BNE	L_VsSineTest19
NOP
NOP
NOP
;MP3_driver.c,236 :: 		LED = 0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(LED+0)
MOVT	R0, #hi_addr(LED+0)
STR	R1, [R0, #0]
;MP3_driver.c,240 :: 		MP3_CS = 0;
LDR	R0, [SP, #4]
STR	R1, [R0, #0]
;MP3_driver.c,241 :: 		Mmc_Chip_Select = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(Mmc_Chip_Select+0)
MOVT	R0, #hi_addr(Mmc_Chip_Select+0)
STR	R1, [R0, #0]
;MP3_driver.c,243 :: 		MP3_SCI_Write(SCI_MODE_ADDR, 0x0820); //allow test
MOVW	R1, #2080
MOVS	R0, #0
BL	_MP3_SCI_Write+0
;MP3_driver.c,244 :: 		Delay_ms(150);
MOVW	R7, #30527
MOVT	R7, #27
NOP
NOP
L_VsSineTest21:
SUBS	R7, R7, #1
BNE	L_VsSineTest21
NOP
NOP
NOP
;MP3_driver.c,245 :: 		MP3_CS = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(MP3_CS+0)
MOVT	R0, #hi_addr(MP3_CS+0)
STR	R1, [R0, #0]
;MP3_driver.c,246 :: 		while (DREQ == 0);
L_VsSineTest23:
MOVW	R1, #lo_addr(DREQ+0)
MOVT	R1, #hi_addr(DREQ+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	NE
BNE	L_VsSineTest24
IT	AL
BAL	L_VsSineTest23
L_VsSineTest24:
;MP3_driver.c,247 :: 		BSYNC  = 0; //xDCS = 0
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(BSYNC+0)
MOVT	R0, #hi_addr(BSYNC+0)
STR	R1, [R0, #0]
;MP3_driver.c,248 :: 		SPI1_Write(0x53);
MOVS	R0, #83
BL	_SPI1_Write+0
;MP3_driver.c,249 :: 		SPI1_Write(0xEF);
MOVS	R0, #239
BL	_SPI1_Write+0
;MP3_driver.c,250 :: 		SPI1_Write(0x6E);
MOVS	R0, #110
BL	_SPI1_Write+0
;MP3_driver.c,251 :: 		SPI1_Write(0x44);
MOVS	R0, #68
BL	_SPI1_Write+0
;MP3_driver.c,252 :: 		SPI1_Write(0x00);
MOVS	R0, #0
BL	_SPI1_Write+0
;MP3_driver.c,253 :: 		SPI1_Write(0x00);
MOVS	R0, #0
BL	_SPI1_Write+0
;MP3_driver.c,254 :: 		SPI1_Write(0x00);
MOVS	R0, #0
BL	_SPI1_Write+0
;MP3_driver.c,255 :: 		SPI1_Write(0x00);
MOVS	R0, #0
BL	_SPI1_Write+0
;MP3_driver.c,256 :: 		Delay_ms(100);
MOVW	R7, #20351
MOVT	R7, #18
NOP
NOP
L_VsSineTest25:
SUBS	R7, R7, #1
BNE	L_VsSineTest25
NOP
NOP
NOP
;MP3_driver.c,257 :: 		BSYNC = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(BSYNC+0)
MOVT	R0, #hi_addr(BSYNC+0)
STR	R1, [R0, #0]
;MP3_driver.c,258 :: 		Delay_ms(120);
MOVW	R7, #63743
MOVT	R7, #21
NOP
NOP
L_VsSineTest27:
SUBS	R7, R7, #1
BNE	L_VsSineTest27
NOP
NOP
NOP
;MP3_driver.c,259 :: 		BSYNC = 0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(BSYNC+0)
MOVT	R0, #hi_addr(BSYNC+0)
STR	R1, [R0, #0]
;MP3_driver.c,260 :: 		SPI1_Write(0x45);
MOVS	R0, #69
BL	_SPI1_Write+0
;MP3_driver.c,261 :: 		SPI1_Write(0x78);
MOVS	R0, #120
BL	_SPI1_Write+0
;MP3_driver.c,262 :: 		SPI1_Write(0x69);
MOVS	R0, #105
BL	_SPI1_Write+0
;MP3_driver.c,263 :: 		SPI1_Write(0x74);
MOVS	R0, #116
BL	_SPI1_Write+0
;MP3_driver.c,264 :: 		SPI1_Write(0x00);
MOVS	R0, #0
BL	_SPI1_Write+0
;MP3_driver.c,265 :: 		SPI1_Write(0x00);
MOVS	R0, #0
BL	_SPI1_Write+0
;MP3_driver.c,266 :: 		SPI1_Write(0x00);
MOVS	R0, #0
BL	_SPI1_Write+0
;MP3_driver.c,267 :: 		SPI1_Write(0x00);
MOVS	R0, #0
BL	_SPI1_Write+0
;MP3_driver.c,268 :: 		Delay_ms(100);
MOVW	R7, #20351
MOVT	R7, #18
NOP
NOP
L_VsSineTest29:
SUBS	R7, R7, #1
BNE	L_VsSineTest29
NOP
NOP
NOP
;MP3_driver.c,269 :: 		BSYNC = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(BSYNC+0)
MOVT	R0, #hi_addr(BSYNC+0)
STR	R1, [R0, #0]
;MP3_driver.c,270 :: 		Delay_ms(500);
MOVW	R7, #36223
MOVT	R7, #91
NOP
NOP
L_VsSineTest31:
SUBS	R7, R7, #1
BNE	L_VsSineTest31
NOP
NOP
NOP
;MP3_driver.c,271 :: 		UART_Write_Text("VS Sine Test END!\r\n");
MOVW	R0, #lo_addr(?lstr3_MP3_driver+0)
MOVT	R0, #hi_addr(?lstr3_MP3_driver+0)
BL	_UART_Write_Text+0
;MP3_driver.c,272 :: 		}
L_end_VsSineTest:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _VsSineTest
